import 'dart:math';

class Resume {
  static Map<String, Function> _callbacks = new Map<String, Function>();
  String _key;
  Resume(Function callback) {
    var random = new Random();
    this._key = random.nextInt(10000).toString();
    Resume._callbacks[this._key] = callback;
  }
  static clear() {
    Resume._callbacks = new Map<String, Function>();
  }

  call() {
    if (Resume._callbacks.containsKey(this._key)) {
      Resume._callbacks[this._key]();
    }
  }

  get callback {
    if (Resume._callbacks.containsKey(this._key)) {
      return Resume._callbacks[this._key];
    } else {
      return () {};
    }
  }
}
